﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Distortion Test /8903
DATE:                  2016-11-21 11:27:04
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 17364 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       107
CONFIGURATION:         HP 8903B
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Dev(s) Covered:
#        Fluke 281, 282, 284
#        TTi TGA1241, TGA1242, TGA1244
#        Wavetek 39A, 195
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         START

# Redisplay connection message if Post Test Repeat or Cancel is selected.
  1.002  TARGET       -p
  1.003  MATH         @First = 1

  1.004  LABEL        START

  1.005  IF           @First
  1.006  MATH         @Cmd = "*RST"
  1.007  CALL         Sub TTi Function Generator Send Command, Wait for OPC

  1.008  IF           @Abort
  1.009  END
  1.010  ENDIF

  1.011  IF           NOT(ISVAR("@Chan"))
  1.012  DISP         Make the following connections:
  1.012  DISP
  1.012  DISP         [32]   DUT           to          8903
  1.012  DISP         [32] MAIN OUT ---> 50 Ω >---> INPUT HIGH
  1.012  DISP
  1.012  DISP         NOTE: Set the 8903() FLOAT/(Ground) switch
  1.012  DISP         [32]     to ground.
  1.013  ELSEIF       @Chan == 1
  1.014  DISP         Make the following connections:
  1.014  DISP
  1.014  DISP         [32]   DUT           to          8903
  1.014  DISP         [32] CHANNEL 1
  1.014  DISP         [32] MAIN OUT ---> 50 Ω >---> INPUT HIGH
  1.014  DISP
  1.014  DISP         NOTE: Set the 8903() FLOAT/(Ground) switch
  1.014  DISP         [32]     to ground.
  1.015  ELSE
  1.016  DISP         Move the DUT connection to CHANNEL [V @Chan] MAIN OUT.
  1.017  ENDIF

  1.018  MATH         @First = 0
  1.019  DISP         The next routine operator intervention occurs in
  1.019  DISP         approximately 30 seconds.
  1.020  ENDIF        ; @First

  1.021  TSET         TDESC = [V @Freq]
  1.022  MATH         L[1] = BASE(@Freq)

# Only perform a full DUT setup for the first frequency.
  1.023  IF           L[2] < 100
  1.024  MATH         @Cmd = @DUT_Setup & "WAVFREQ " & L[1] & ";OUTPUT ON"
  1.025  ELSE
  1.026  MATH         @Cmd = "WAVFREQ " & L[1] & ";OUTPUT ON"
  1.027  ENDIF

  1.028  CALL         Sub TTi Function Generator Send Command, Wait for OPC

  1.029  IF           @Abort
  1.030  END
  1.031  ENDIF

  1.032  TARGET       -m
  1.033  MATH         MEM = BASE(@Freq)
  1.034  8903         0.00pct        0.10U         H                 AD
  2.001  END
